Bug 502875 - Add support for IGB VF device
Add support for IGB VF device
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: 5.4
Assigned To: Joel Andres Granados
Alexander Todorov
: FutureFeature, OtherQA
Depends On:
Blocks: 452016 480524
  Show dependency treegraph
 
Reported: 2009-05-27 11:19 EDT by Don Dugger
Modified: 2014-07-24 23:22 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:55:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Dugger 2009-05-27 11:19:43 EDT
Description of problem:
  Add support to Anaconda so that IGB Virtual Function driver can be supported at install time.
Comment 1 Denise Dumas 2009-05-27 11:33:05 EDT
Can you please add the exact name of the kernel module and a brief description that you would like displayed with the device?
Comment 2 Ronald Pacheco 2009-05-27 11:40:59 EDT
This will be required in order to support guest installs with the VF driver.
Comment 3 Don Dugger 2009-05-27 12:17:03 EDT
The kernel module is:

  igbvf.ko

As far a brief description goes, are you looking for something other than what is in the kernel congig, e.g.:


         This driver supports Intel(R) 82576 virtual functions.  For more
         information on how to identify your adapter, go to the Adapter &
         Driver ID Guide at:

         <http://support.intel.com/support/network/adapter/pro100/21397.htm>

         For general information and support, go to the Intel support
         website at:

         <http://support.intel.com>
Comment 4 Joel Andres Granados 2009-05-28 05:07:43 EDT
We are looking for something to put in this file : 
http://git.fedorahosted.org/git/?p=anaconda.git;a=blob;f=loader2/module-info;h=5fadae5702a3cfa89f7d18f67cc9ebb07f2f0c4e;hb=refs/heads/rhel5-branch

A one line description will do just fine.
Comment 5 Denise Dumas 2009-05-28 10:03:24 EDT
dev-ack on the assumption that we will get the description soon
Comment 6 RHEL Product and Program Management 2009-05-28 10:10:33 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Don Dugger 2009-05-28 10:20:19 EDT
In that case just use:

  "Intel 82576 Virtual Function"
Comment 8 Brock Organ 2009-05-28 10:45:05 EDT
Hi Don,

Is this driver limited to i386/x86_64 arches?  Or is ia64 included as well?

Regards,

Brock
Comment 10 Joel Andres Granados 2009-05-29 07:16:09 EDT
Im confused as to what type of module this is.  Is this a eth driver?  or iscsi_adaptor driver? none of the above? related?
Comment 11 Don Dugger 2009-05-29 14:02:40 EDT
In re: Comment 8

This is the virtual function device for a SR/IOV NIC.  IA64 doesn't support SR/IOV yet so this driver is currently limited to i386/x86_64 architectures.

In re: Comment 10

Again, this is the virtual fuction device for a SR/IOV NIC.  As such it is yet another NIC driver.  The VF device has a different driver interface from the physical device, hence the need for a new driver module.
Comment 12 Joel Andres Granados 2009-06-01 08:45:50 EDT
This will be available in anaconda-11.1.2.182
Comment 15 Chris Ward 2009-06-14 19:21:46 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 16 Chris Ward 2009-07-03 14:44:36 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 17 Chris Ward 2009-07-10 15:13:35 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 18 Alexander Todorov 2009-07-20 04:48:54 EDT
Don, Ronald,
can you provide some testing feedback? Has Intel tested RHEL 5.4 Beta ? What are the results?

Thanks.
Comment 19 Don Dugger 2009-07-21 15:48:20 EDT
I don't believe we have tested this yet, I'll see if I can get someone to try it out.
Comment 20 Don Dugger 2009-08-03 00:17:36 EDT
I finally found someone (me) to test this and yes, it works.  I created a virtual machine and assigned just a virtual function device to that guest.  Then I installed RHEL 5.4 Beta on the guest and the install went through with no problems and the virtual function device was successfully recognized and utilized with no problems during the guest installation.
Comment 21 Alexander Todorov 2009-08-03 04:06:33 EDT
Thanks Don.

Moving to VERIFIED as per comment #20
Comment 23 errata-xmlrpc 2009-09-02 05:55:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1306.html

Note You need to log in before you can comment on or make changes to this bug.